--- old/usr/src/man/man3c/strxfrm.3c	Sun Jun 29 11:52:23 2014
+++ new/usr/src/man/man3c/strxfrm.3c	Sun Jun 29 11:52:23 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright 1989 AT&T.  Copyright (c) 2003, Sun Microsystems, Inc.  All Rights Reserved. Portions Copyright (c) 1992, X/Open Company Limited.  All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH STRXFRM 3C "Dec 10, 2003"
+.TH STRXFRM 3C "Jun 21, 2014"
 .SH NAME
 strxfrm, strxfrm_l \- string transformation
 .SH SYNOPSIS
@@ -16,11 +17,13 @@
 #include <string.h>
 
 \fBsize_t\fR \fBstrxfrm\fR(\fBchar *restrict\fR \fIs1\fR, \fBconst char *restrict\fR \fIs2\fR, \fBsize_t\fR \fIn\fR);
-\fBsize_t\fR \fBstrxfrm_l\fR(\fBchar *restrict\fR \fIs1\fR, \fBconst char *restrict\fR \fIs2\fR, \fBsize_t\fR \fIn\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
+.LP
+.nf
+\fBsize_t\fR \fBstrxfrm_l\fR(\fBchar *restrict\fR \fIs1\fR, \fBconst char *restrict\fR \fIs2\fR, \fBsize_t\fR \fIn\fR,
+    \fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
-.sp
 .LP
 The \fBstrxfrm()\fR function transforms the string pointed to by \fIs2\fR and
 places the resulting string into the array pointed to by \fIs1\fR. The
@@ -31,38 +34,31 @@
 array pointed to by \fIs1\fR, including the terminating null byte.  If \fIn\fR
 is \fB0\fR, \fIs1\fR is permitted to be a null pointer. If copying takes place
 between objects that overlap, the behavior is undefined.
-.sp
 .LP
 The \fBstrxfrm()\fR function does not change the setting of \fBerrno\fR if
 successful.
-.sp
 .LP
 Since no return value is reserved to indicate an error, an application wishing
 to check for error situations should set \fBerrno\fR to 0, then call
 \fBstrxfrm()\fR, then check \fBerrno\fR.
-.sp
 .LP
 The \fBstrxfrm_l()\fR functions behaves identically to the function
-\fBstrxfrm()\fR, except instead of operating in the current environment it
-operates in the environment specified by the argument \fIloc\fR.
+\fBstrxfrm()\fR, except instead of operating in the current locale it
+operates in the locale specified by the argument \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
 Upon successful completion, \fBstrxfrm()\fR returns the length of the
 transformed string (not including the terminating null byte). If the value
 returned is \fIn\fR or more, the contents of the array pointed to by \fIs1\fR
 are indeterminate.
-.sp
 .LP
 On error, \fBstrxfrm()\fR may set \fBerrno\fR but no return value is reserved
 to indicate the error.
 .SH USAGE
-.sp
 .LP
 The transformation function is such that two transformed strings can be ordered
 by \fBstrcmp\fR(3C) as appropriate to collating sequence information in the
-program's locale (category \fBLC_COLLATE\fR).
-.sp
+locale (category \fBLC_COLLATE\fR).
 .LP
 The fact that when \fIn\fR is \fB0\fR, \fIs1\fR is permitted to be a null
 pointer, is useful to determine the size of the \fIs1\fR array prior to making
@@ -70,7 +66,6 @@
 .SH EXAMPLES
 .LP
 \fBExample 1 \fRA sample of using the \fBstrxfm()\fR function.
-.sp
 .LP
 The value of the following expression is the size of the array needed to hold
 the transformation of the string pointed to by \fIs\fR.
@@ -83,23 +78,11 @@
 .in -2
 
 .SH FILES
-.sp
-.ne 2
-.na
-\fB\fB/usr/lib/locale/\fIlocale\fR/\fIlocale\fR.so.*\fR\fR
-.ad
-.sp .6
-.RS 4n
-\fBLC_COLLATE\fR database for \fIlocale\fR
-.RE
-
+.IP \fB/usr/lib/locale/\fR\fIlocale\fR\fB/LC_COLLATE/*
+collation database for \fIlocale\fR
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -110,15 +93,11 @@
 _
 Interface Stability	Standard
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
-.sp
-.LP
-The \fBstrxfrm()\fR function can be used safely in a multithreaded application,
-as long as \fBsetlocale\fR(3C) is not being called to change the locale.
 .SH SEE ALSO
-.sp
 .LP
-\fBlocaledef\fR(1), \fBsetlocale\fR(3C), \fBstrcmp\fR(3C), \fBstrcoll\fR(3C),
+\fBlocaledef\fR(1), \fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBstrcmp\fR(3C),
+\fBstrcoll\fR(3C), \fBuselocale\fR(3C),
 \fBwscoll\fR(3C), \fBattributes\fR(5), \fBenviron\fR(5), \fBstandards\fR(5)
--- old/usr/src/man/man3c/tolower.3c	Sun Jun 29 11:52:24 2014
+++ new/usr/src/man/man3c/tolower.3c	Sun Jun 29 11:52:24 2014
@@ -1,9 +1,10 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH TOLOWER 3C "Aug 14, 2002"
+.TH TOLOWER 3C "Jun 21, 2014"
 .SH NAME
 tolower, tolower_l \- transliterate upper-case characters to lower-case
 .SH SYNOPSIS
@@ -12,11 +13,13 @@
 #include <ctype.h>
 
 \fBint\fR \fBtolower\fR(\fBint\fR \fIc\fR);
+.fi
+.LP
+.nf
 \fBint\fR \fBtolower_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBtolower()\fR function has as a domain a type \fBint\fR, the value of
 which is representable as an \fBunsigned char\fR or the value of \fBEOF\fR. If
@@ -23,31 +26,24 @@
 the argument has any other value, the argument is returned unchanged. If the
 argument of \fBtolower()\fR represents an upper-case letter, and there exists a
 corresponding lower-case letter (as defined by character type information in
-the program locale category \fB\fR\fBLC_CTYPE\fR\fB),  \fR the result is the
+the locale category \fB\fR\fBLC_CTYPE\fR\fB), \fR the result is the
 corresponding lower-case letter. All other arguments in the domain are returned
 unchanged.
-.sp
 .LP
 The function \fBtolower_l()\fR behaves identically to \fBtolower()\fR, except
-instead of operating in the current environemtn, it operates in the environment
+instead of operating in the current locale, it operates in the locale
 specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
 On successful completion, \fBtolower()\fR returns the lower-case letter
 corresponding to the argument passed. Otherwise, it returns the argument
 unchanged.
 .SH ERRORS
-.sp
 .LP
 No errors are defined.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -62,7 +58,6 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
-\fB_tolower\fR(3C), \fBsetlocale\fR(3C), \fBattributes\fR(5),
-\fBstandards\fR(5)
+\fB_tolower\fR(3C), \fBnewlocale\fR(3C), \fBsetlocale\fR(3C),
+\fBuselocale\fR(3C), \fBattributes\fR(5), \fBstandards\fR(5)
--- old/usr/src/man/man3c/toupper.3c	Sun Jun 29 11:52:25 2014
+++ new/usr/src/man/man3c/toupper.3c	Sun Jun 29 11:52:25 2014
@@ -1,9 +1,10 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH TOUPPER 3C "Aug 14, 2002"
+.TH TOUPPER 3C "Jun 21, 2014"
 .SH NAME
 toupper, toupper_l \- transliterate lower-case characters to upper-case
 .SH SYNOPSIS
@@ -12,11 +13,13 @@
 #include <ctype.h>
 
 \fBint\fR \fBtoupper\fR(\fBint\fR \fIc\fR);
+.fi
+.LP
+.nf
 \fBint\fR \fBtoupper_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBtoupper()\fR function has as a domain a type \fBint\fR, the value of
 which is representable as an \fBunsigned char\fR or the value of \fBEOF\fR. If
@@ -23,29 +26,22 @@
 the argument has any other value, the argument is returned unchanged. If the
 argument of \fBtoupper()\fR represents a lower-case letter, and there exists a
 corresponding upper-case letter (as defined by character type information in
-the program locale category \fBLC_CTYPE\fR),   the result is the corresponding
+the locale category \fBLC_CTYPE\fR),   the result is the corresponding
 upper-case letter. All other arguments in the domain are returned unchanged.
-.sp
 .LP
-The function \fBtoupper_l()\fR behaves identically to \fBtoupper\fR, except
-instead of operating in the current environemtn, it operates in the environment
+The function \fBtoupper_l()\fR behaves identically to \fBtoupper()\fR, except
+instead of operating in the current locale, it operates in the locale
 specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
 On successful completion, \fBtoupper()\fR returns the upper-case letter
 corresponding to the argument passed.
 .SH ERRORS
-.sp
 .LP
 No errors are defined.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -60,7 +56,7 @@
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
-\fB_toupper\fR(3C), \fBsetlocale\fR(3C), \fBattributes\fR(5),
-\fBstandards\fR(5)
+\fB_toupper\fR(3C), \fBnewlocale\fR(3C), \fBsetlocale\fR(3C),
+\fBuselocale\fR(3C),
+\fBattributes\fR(5), \fBstandards\fR(5)
--- old/usr/src/man/man3c/towlower.3c	Sun Jun 29 11:52:25 2014
+++ new/usr/src/man/man3c/towlower.3c	Sun Jun 29 11:52:25 2014
@@ -11,46 +11,42 @@
 .\"
 .\"
 .\" Copyright (c) 2014 Joyent, Inc.  All rights reserved.
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"
-.TH TOWLOWER 3C "Jun 11, 2014"
-
+.TH TOWLOWER 3C "Jun 21, 2014"
 .SH NAME
-
 towlower, towlower_l \- transliterate upper-case wide characters to lower-case
-
 .SH SYNOPSIS
-
 .LP
 .nf
 #include <wctype.h>
 
-.BI "wint_t towlower(wint_t" wc );
-.BI "wint_t towlower_l(wint_t" wc, " locale_t " loc );
-
+\fBwint_t\fR \fBtowlower\fR(\fBwint_t\fR \fIwc\fR);
+.fi
+.LP
+.nf
+\fBwint_t\fR \fBtowlower_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+.nf
 .SH DESCRIPTION
-
 The function
-.BR towlower
+.BR towlower()
 is the wide character equivalent of the function
-.BR tolower .
+.BR tolower (3C).
 It converts the upper-case wide character
-.I loc
+.I wc
 to the equivalent lower-case
 wide character, if one exists. If one does not exist, it returns
-.I loc
+.I wc
 unchanged.
-
 .LP
 The function
-.B towlower_l
+.B towlower_l()
 is equivalent to the function
-.BR towlower ,
-but instead of operating in the current environemnt, operates on the
-environment specified by
+.BR towlower() ,
+but instead of operating in the current locale, operates in the
+locale specified by
 .IR loc .
-
 .SH RETURN VALUES
-
 On successful completion,
 .B towlower()
 and
@@ -57,13 +53,9 @@
 .B towlower_l()
 return the lower-case character that corresponds to the argument passed.
 Otherwise, they return the argument unchanged.
-
 .SH ERRORS
-
 No errors are defined.
-
 .SH ATTRIBUTES
-.sp
 .TS
 box;
 c | c
@@ -72,13 +64,12 @@
 _
 Interface Stability	Standard
 _
-MT-Level	Safe
+MT-Level	MT-Safe
 .TE
 
 .SH SEE ALSO
-.BR duplocale (3C),
 .BR newlocale (3C),
 .BR setlocale (3C),
 .BR towupper (3C),
-.BR environ (5),
+.BR uselocale (3C),
 .BR locale (5)
--- old/usr/src/man/man3c/towupper.3c	Sun Jun 29 11:52:25 2014
+++ new/usr/src/man/man3c/towupper.3c	Sun Jun 29 11:52:25 2014
@@ -11,46 +11,42 @@
 .\"
 .\"
 .\" Copyright (c) 2014 Joyent, Inc.  All rights reserved.
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"
-.TH TOWUPPER 3C "Jun 11, 2014"
-
+.TH TOWUPPER 3C "Jun 21, 2014"
 .SH NAME
-
 towupper, towupper_l \- transliterate lower-case wide characters to upper-case
-
 .SH SYNOPSIS
-
 .LP
 .nf
 #include <wctype.h>
 
-.BI "wint_t towupper(wint_t" wc );
-.BI "wint_t towupper_l(wint_t" wc, " locale_t " loc );
-
+\fBwint_t\fR \fBtowupper\fR(\fBwint_t\fR \fIwc\fR);
+.fi
+.LP
+.nf
+\fBwint_t\fR \fBtowupper_l\fR(\fBwint_t\fR \fIwc\fR, \fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
-
 The function
-.BR towupper
+.BR towupper()
 is the wide character equivalent of the function
-.BR toupper .
+.BR toupper (3C).
 It converts the lower-case wide character
-.I loc
+.I wc
 to the equivalent upper-case
 wide character, if one exists. If one does not exist, it returns
-.I loc
+.I wc
 unchanged.
-
 .LP
 The function
-.B towupper_l
+.B towupper_l()
 is equivalent to the function
-.BR towupper ,
-but instead of operating in the current environemnt, operates on the
-environment specified by
+.BR towupper() ,
+but instead of operating in the current locale, operates in the
+locale specified by
 .IR loc .
-
 .SH RETURN VALUES
-
 On successful completion,
 .B towupper()
 and
@@ -57,13 +53,9 @@
 .B towupper_l()
 return the upper-case character that corresponds to the argument passed.
 Otherwise, they return the argument unchanged.
-
 .SH ERRORS
-
 No errors are defined.
-
 .SH ATTRIBUTES
-.sp
 .TS
 box;
 c | c
@@ -72,13 +64,12 @@
 _
 Interface Stability	Standard
 _
-MT-Level	Safe
+MT-Level	MT-Safe
 .TE
 
 .SH SEE ALSO
-.BR duplocale (3C),
 .BR newlocale (3C),
 .BR setlocale (3C),
-.BR tolower(3C),
-.BR environ (5),
+.BR toupper(3C),
+.BR uselocale (3C),
 .BR locale (5)
--- old/usr/src/man/man3c/uselocale.3c	Sun Jun 29 11:52:26 2014
+++ new/usr/src/man/man3c/uselocale.3c	Sun Jun 29 11:52:26 2014
@@ -11,97 +11,71 @@
 .\"
 .\"
 .\" Copyright (c) 2014 Joyent, Inc.  All rights reserved.
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"
-.TH USELOCALE 3C "Jun 11, 2014"
+.TH USELOCALE 3C "Jun 24, 2014"
 
 .SH NAME
-
 uselocale \- get and set the locale for an individual thread
-
 .SH SYNOPSIS
-
 .LP
 .nf
 #include <locale.h>
 
-.BI "locale_t uselocale(locale_t " loc );
-
+\fBlocale_t\fR \fBuselocale\fR(\fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
 .LP
-
 The
 .B uselocale()
 function is used to obtain and set the current locale for a thread. When
 a thread is created, it uses the global locale as specified by calls to
 .BR setlocale() .
-A call to
-.B uselocale()
-causes all operations in the thread to use the locale specified in
-.IR loc .
-The thread ignores all subsequent changes to the global locale that
-occur through calls to
-.BR setlocale() .
-When the special locale,
-.BR LC_GLOBAL_LOCALE ,
-is passed in to
-.BR uselocale() ,
-the thread returns to using the global locale, and subsequent calls to
-.B setlocale()
-cause changes for the thread.
-
 .LP
-In addition,
-.B uselocale()
-can be used to obtain the current locale in use by thread, this is done
-by passing in the special locale
-.BR (locale_t) 0.
-If the thread has never set a locale through
-.BR uselocale() ,
-then the current global locale as determined through calls to
-.B setlocale()
-will be returned.
-
+If
+.BR (locale_t) 0
+is supplied for 
+.IR loc ,
+then no change is made to the thread's locale setting.  This can be used
+to query the thread's locale without making any change.
 .LP
-Locale objects to pass in to
+If
+.B LC_GLOBAL_LOCALE
+is supplied for
+.IR loc ,
+then the thread will use the global locale, undoing the effect of any
+prior call to establish a thread-specific locale.
+.LP
+Otherwise the thread will use the supplied
+.I loc
+locale object as a thread-specific locale. Changes to the global
+locale, or to the locale of any other thread, will not affect this thread.
+.LP
+Locale objects for use with
 .B uselocale()
-can be created and destroyed with the functions
-.BR duplocale (3C),
-.BR newlocale (3C),
+can be created with the functions
+.BR duplocale (3C)
 and
-.BR freelocale (3C).
-
+.BR newlocale (3C).
 .SH RETURN VALUES
-
 Upon successful completion, the
 .B uselocale()
 function always returns the previous locale that was set. If no locale
 was previously set, the global locale,
 .BR LC_GLOBAL_LOCALE ,
-is returned. If the locale object
-.I loc
-is the special locale
-.BR (lcoale_t) 0,
-then the current locale of the thread is not updated. On failure, the
+is returned. On failure, the
 .B uselocale()
 function returns
-.B (locale_t) 0, and sets
+.BR (locale_t) 0,
+and sets
 .B errno
 to indicate the error.
-
 .SH ERRORS
-
-.sp
-.ne 2
-.na
+.TP
 .B EINVAL
-.ad
-.RS 10n
 An invalid locale was encountered or an internal error occurred that
 caused the system to be unable to update the locale.
-.RE
-
 .SH ATTRIBUTES
-.sp
 .TS
 box;
 c | c
@@ -110,7 +84,7 @@
 _
 Interface Stability	Standard
 _
-MT-Level	Safe
+MT-Level	MT-Safe
 .TE
 
 .SH SEE ALSO
@@ -118,5 +92,4 @@
 .BR duplocale (3C),
 .BR newlocale (3C),
 .BR setlocale (3C),
-.BR environ (5),
 .BR locale (5)
--- old/usr/src/man/man3c/wcrtomb.3c	Sun Jun 29 11:52:27 2014
+++ new/usr/src/man/man3c/wcrtomb.3c	Sun Jun 29 11:52:27 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright (c) 1992, X/Open Company Limited. All Rights Reserved.  Portions Copyright (c) 2003, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH WCRTOMB 3C "Nov 1, 2003"
+.TH WCRTOMB 3C "Jun 24, 2014"
 .SH NAME
 wcrtomb, wcrtomb_l \- convert a wide-character code to a character (restartable)
 .SH SYNOPSIS
@@ -16,21 +17,23 @@
 #include <stdio.h>
 
 \fBsize_t\fR \fBwcrtomb\fR(\fBchar *restrict\fR \fIs\fR, \fBwchar_t\fR \fIwc\fR, \fBmbstate_t *restrict\fR \fIps\fR);
-\fBsize_t\fR \fBwcrtomb_l\fR(\fBchar *restrict\fR \fIs\fR, \fBwchar_t\fR \fIwc\fR, \fBmbstate_t *restrict\fR \fIps\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
+.LP
+.nf
+#include <stdio.h>
+#include <xlocale.h>
 
+\fBsize_t\fR \fBwcrtomb_l\fR(\fBchar *restrict\fR \fIs\fR, \fBwchar_t\fR \fIwc\fR, \fBmbstate_t *restrict\fR \fIps\fR,
+    \fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
-.sp
 .LP
 If \fIs\fR is a null pointer, the \fBwcrtomb()\fR function is equivalent to the
 call:
-.sp
+.IP
+\fBwcrtomb\fR(\fIbuf\fR, L'\e0', \fIps\fR);
 .LP
-wcrtomb(buf, L'\e0', ps)
-.sp
-.LP
 where \fIbuf\fR is an internal buffer.
-.sp
 .LP
 If \fIs\fR is not a null pointer, the \fBwcrtomb()\fR function determines the
 number of bytes needed to represent the character that corresponds to the
@@ -40,22 +43,19 @@
 wide-character, a null byte is stored, preceded by any shift sequence needed to
 restore the initial shift state. The resulting state described is the initial
 conversion state.
-.sp
 .LP
 If \fIps\fR is a null pointer, the \fBwcrtomb()\fR function uses its own
 internal \fBmbstate_t\fR object, which is initialized at program startup to the
 initial conversion state.   Otherwise, the  \fBmbstate_t\fR object pointed to
 by \fIps\fR is used to completely describe the current conversion state of the
-associated character sequence. illumos will behave as if no function defined in
-the illumos Reference Manual calls \fBwcrtomb()\fR.
-.sp
+associated character sequence. The system will behave as if no function
+defined in the Reference Manual calls \fBwcrtomb()\fR.
 .LP
-The behavior of this function is affected by the \fBLC_CTYPE\fR category of the
+The behavior of \fBwcrtomb()\fR is affected by the \fBLC_CTYPE\fR category of the
 current locale.  See \fBenviron\fR(5). The function \fBwcrtomb_l()\fR behaves
-identically to \fBwcrtomb\fR, except instead of operating in the current
-environemtn, it operates in the environment specified by \fIloc\fR.
+identically to \fBwcrtomb()\fR, except instead of operating in the current
+locale, it operates in the locale specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
 The \fBwcrtomb()\fR function returns the number of bytes stored in the array
 object (including any shift sequences).  When \fIwc\fR is not a valid
@@ -63,7 +63,6 @@
 the value of the macros \fBEILSEQ\fR in \fBerrno\fR and returns
 \fB(size_t)\(mi1\fR; the conversion state is undefined.
 .SH ERRORS
-.sp
 .LP
 The \fBwcrtomb()\fR function may fail if:
 .sp
@@ -84,23 +83,9 @@
 .RS 10n
 Invalid wide-character code is detected.
 .RE
-
-.SH USAGE
-.sp
-.LP
-If \fIps\fR is not a null pointer, \fBwcrtomb()\fR uses the \fBmbstate_t\fR
-object pointed to by \fIps\fR and the function can be used safely in
-multithreaded applications, as long as \fBsetlocale\fR(3C) is not being called
-to change the locale. If \fIps\fR is a null pointer, \fBwcrtomb()\fR uses its
-internal \fBmbstate_t\fR object and the function is Unsafe in multithreaded
-applications.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -107,13 +92,19 @@
 l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
-Interface Stability	Standard
+Interface Stability	See below.
 _
-MT-Level	See NOTES below
+MT-Level	See below.
 .TE
 
+.LP
+The \fBwcrtomb()\fR function is Standard.  The
+\fBwcrtomb_l()\fR function is Uncommitted.
+.LP
+If \fIps\fR is a null pointer, these functions should be considered Unsafe
+for use in multithreaded applications.  Otherwise, they are MT-Safe.
 .SH SEE ALSO
-.sp
 .LP
-\fBmbsinit\fR(3C), \fBsetlocale\fR(3C), \fBattributes\fR(5),
+\fBmbsinit\fR(3C), \fBnewlocale\fR(3C), \fBsetlocale\fR(3C),
+\fBuselocale\fR(3C), \fBattributes\fR(5),
 \fBstandards\fR(5), \fBenviron\fR(5)
--- old/usr/src/man/man3c/wcscoll.3c	Sun Jun 29 11:52:28 2014
+++ new/usr/src/man/man3c/wcscoll.3c	Sun Jun 29 11:52:28 2014
@@ -1,4 +1,5 @@
 '\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 1992, X/Open Company Limited  All Rights Reserved  Portions Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH WCSCOLL 3C "Aug 14, 2002"
+.TH WCSCOLL 3C "Jun 25, 2014"
 .SH NAME
 wcscoll, wcscoll_l wscoll \- wide character string comparison using collating information
 .SH SYNOPSIS
@@ -16,49 +17,44 @@
 #include <wchar.h>
 
 \fBint\fR \fBwcscoll\fR(\fBconst wchar_t *\fR\fIws1\fR, \fBconst wchar_t *\fR\fIws2\fR);
+.fi
+.LP
+.nf
 \fBint\fR \fBwcscoll_l\fR(\fBconst wchar_t *\fR\fIws1\fR, \fBconst wchar_t *\fR\fIws2\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBwscoll\fR(\fBconst wchar_t *\fR\fIws1\fR, \fBconst wchar_t *\fR\fIws2\fR);
 .fi
-
 .SH DESCRIPTION
-.sp
 .LP
-The \fBwcscoll()\fR and  \fBwscoll()\fR functions compare the wide character
+The \fBwcscoll()\fR, \fBwcscoll_l()\fR, and \fBwscoll()\fR functions compare
+the wide character
 string pointed to by \fIws1\fR to the wide character string pointed to by
-\fIws2\fR, both interpreted as appropriate to the \fBLC_COLLATE\fR category of
-the current locale.
-.sp
+\fIws2\fR, both interpreted as appropriate to the \fBLC_COLLATE\fR locale
+category.
 .LP
-The \fBwcscoll()\fR and \fBwscoll()\fR functions do not change the setting of
-\fBerrno\fR if successful.
-.sp
+These  functions do not change the setting of \fBerrno\fR if successful.
 .LP
 An application wanting to check for error situations should set \fBerrno\fR to
-0 before calling \fBwcscoll()\fR or \fBwscoll()\fR.  If \fBerrno\fR is non-zero
+0 before calling these functions.  If \fBerrno\fR is non-zero
 on return, an error has occurred.
-.sp
 .LP
-The function \fBwcsoll_l()\fR behaves identically to \fBwcsoll\fR, except
-instead of operating in the current environemtn, it operates in the environment
+The function \fBwcsoll_l()\fR behaves identically to \fBwcsoll\fR(), except
+instead of operating in the current locale, it operates in the locale
 specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
-Upon successful completion, \fBwcscoll()\fR and \fBwscoll()\fR return an
+Upon successful completion, these functions return an
 integer greater than, equal to, or less than 0, depending upon whether the wide
 character string pointed to by \fIws1\fR is greater than, equal to, or less
 than the wide character string pointed to by \fIws2\fR, when both are
-interpreted as appropriate to the current locale. On error, \fBwcscoll()\fR and
-\fBwscoll()\fR may set \fBerrno\fR, but no return value is reserved to indicate
-an error.
+interpreted as appropriate to the the current locale, or the locale
+specified by \fIloc\fR. On error, 
+they set \fBerrno\fR, but no return value is reserved to indicate an error.
 .SH ERRORS
-.sp
 .LP
-The \fBwcscoll()\fR and \fBwscoll()\fR functions may fail if:
+The \fBwcscoll()\fR, \fBwcscoll_l()\fR and \fBwscoll()\fR functions may fail if:
 .sp
 .ne 2
 .na
@@ -68,39 +64,32 @@
 The \fIws1\fR or \fIws2\fR arguments contain wide character codes outside the
 domain of the collating sequence.
 .RE
-
 .SH USAGE
 .sp
 .LP
 The \fBwcsxfrm\fR(3C) and \fBwcscmp\fR(3C) functions should be used for sorting
-large lists.
+large lists, or when performing many comparisions on the same strings.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
-l | l
+c | c
 l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
 CSI	Enabled
 _
-Interface Stability	\fBwcscoll()\fR is Standard
+Interface Stability	See below.
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
-.sp
 .LP
-The \fBwcscoll()\fR and \fBwscoll()\fR functions can be used safely in
-multithreaded applications as long as \fBsetlocale\fR(3C) is not being called
-to change the locale.
+The \fBwcscoll()\fR and \fBwcscoll_l()\fR functions are Standard.
+The \fBwscoll()\fR function is Committed.
 .SH SEE ALSO
-.sp
 .LP
-\fBsetlocale\fR(3C), \fBwcscmp\fR(3C), \fBwcsxfrm\fR(3C), \fBattributes\fR(5),
+\fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C),
+\fBwcscmp\fR(3C), \fBwcsxfrm\fR(3C), \fBattributes\fR(5),
 \fBstandards\fR(5)
